Retrieve a JWT access token and a refresh token using Basic Authentication.
The access token is used for API requests, and the refresh token can generate a new access token when it expires.
GET https://api.data.xpansiv.com/auth/login
curl -u 'username:password' https://api.data.xpansiv.com/auth/login{
"token": "your access token",
"refreshToken": "your refresh token"
}Invalidate the refresh token to log out the user.
POST https://api.data.xpansiv.com/auth/logout
curl -X POST https://api.data.xpansiv.com/auth/logout -H "Authorization: Bearer yourAccessToken" -d '{"refreshToken":"your refresh token"}'Use the refresh token to obtain a new access token.
POST https://api.data.xpansiv.com/auth/refresh
curl -X POST https://api.data.xpansiv.com/auth/refresh -d '{"refreshToken":"your refresh token"}'{
"token": "your access token",
"refreshToken": "your refresh token"
}Update the user password.
POST https://api.data.xpansiv.com/auth/changePassword
curl -X POST https://api.data.xpansiv.com/auth/changePassword -d '{"password":"new user password"}'To use the API via SSO, obtain an Auth0 access token by calling the Auth0 token endpoint.
POST https://auth.xpansiv.com/oauth/token
curl -X POST https://auth.xpansiv.com/oauth/token -d '{"username":"your username","password":"your Auth0 password","grant_type":"http://auth0.com/oauth/grant-type/password-realm","realm":"Username-Password-Authentication","scope":"SCOPE","audience":"https://xpansiv/platform","client_id":"your client ID","client_secret":"your client secret"}'